com.mapinfo.midev.feature

## Interface IFeatureMetadata

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  IFeatureCollectionMetadata, ITableMetadata

All Known Implementing Classes:
  FeatureMetadata

    public interface IFeatureMetadata
    extends Serializable

Contains information that describes an `IFeature`. A feature contains a set of attribute values, the feature metadata describes the attributes through the collection of `IAttributeDefinition`s accessible through this interface. The collection of attribute definitions is sometimes also referred to as the schema for the feature or feature collection.

### Method Summary

All Methods Instance Methods Abstract Methods
`AttributeDefinitionCollection` `getAttributeDefinitions()` Returns the collection of definitions that describe the attributes for the feature.
`PrimaryKeyMetadata` `getPrimaryKeyMetadata()` Returns the description of the primary key.

### Method Detail

#### getAttributeDefinitions

    AttributeDefinitionCollection getAttributeDefinitions()

Returns the collection of definitions that describe the attributes for the feature. Note that the collection is not modifiable by the user. The container for the feature, a feature collection or other container, may expose capabilities for altering the schema of the features it contains.

Returns:
  the collection of definitions that describe the attributes for the feature.

#### getPrimaryKeyMetadata

    PrimaryKeyMetadata getPrimaryKeyMetadata()

Returns the description of the primary key. If there is no primary key defined, `PrimaryKeyMetadata.NONE` is returned.

Returns:
  the description of the primary key.